VB Net (Text Height)

For some reason, no matter what text height I call out in my code I alway get text with a height = .2 ? Can anyone help? Here is my VB.NET code:Dim oACAD As BricscadApp.AcadApplicationDim oACADdoc As BricscadApp.AcadDocumentoACAD = GetObject(, "BricscadApp.AcadApplication")oACADdoc = oACAD.ActiveDocumentDim textobject As BricscadDb.AcadTextDim InsertionPoint(2) As DoubleInsertionPoint(0) = 0.0#InsertionPoint(1) = 0.0#InsertionPoint(2) = 0.0#textobject = oACADdoc.ModelSpace.AddText("MY TEXT", InsertionPoint, 30.0#)

Comments

  • Seems you need to set the property and update the entity. Sorry my VB is a little choppy, I hope you can get my meaning from this.

    { AcadDocument Doc = app.ActiveDocument; AcadDatabase db = Doc.Database; double[] pt1 = new double[] { 0, 0, 0 }; AcadText text = db.ModelSpace.AddText("Hello", pt1, 30); text.Height = 30; text.Update(); }
  • Excellent,, that works. I guess its a bug that the height needs to be called out a second time. Thanks for the help Daniel.

This discussion has been closed.